> For the complete documentation index, see [llms.txt](https://docs.coresignal.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coresignal.com/additional-sources/glassdoor/glassdoor-jobs/data-dictionary.md).

# Data Dictionary: Glassdoor Jobs

## Overview

The dictionary provides explanations and response snippets for all data fields in the **Glassdoor Jobs** dataset. This dataset is sourced from Glassdoor's global markets.

{% hint style="info" %}
All personal/company information mentioned within this context is entirely fictional and is solely intended for illustrative purposes.
{% endhint %}

{% tabs %}
{% tab title="Data fields by category" %}

1. [Metadata](#metadata)
2. [Employer information](#employer-information)
3. [Job posting information](#job-posting-information)
   {% endtab %}
   {% endtabs %}

{% hint style="info" %}
The data fields in the example snippets have been rearranged for better grouping. To see where a specific data field stands, check the full data sample [here](/additional-sources/glassdoor/glassdoor-jobs/data-sample.md).
{% endhint %}

## Metadata

### Record metadata

| Data field   | Description                                       | Data type |
| ------------ | ------------------------------------------------- | --------- |
| `created_at` | Date when the record was initially scraped        | Timestamp |
| `updated_at` | Date when the record was last updated             | Timestamp |
| `deleted`    | Indicates if the record is available on Glassdoor | Integer   |

**See a snippet of the dataset for reference:**

{% code title="Metadata fields" %}

```json
"created_at": "2025-01-29 16:57:22",
"updated_at": "2025-10-18 01:55:52",
"deleted": 0,
```

{% endcode %}

### Job posting metadata

| Data field   | Description                                  | Data type |
| ------------ | -------------------------------------------- | --------- |
| `id`         | Record identifier in our database            | String    |
| `source_id`  | Job posting identifier on Glassdoor          | String    |
| `company_id` | Company profile identifier on Glassdoor      | String    |
| `expired`    | Indicates if the job posting is still active | Boolean   |

**See a snippet of the dataset for reference:**

{% code title="Meta information" %}

```json
"id": "glassdoor_job_123456789",
"source_id": "123456789",
"company_id": "1122334455",
"expired": false,
```

{% endcode %}

## Employer information

| Data field     | Description            | Data type |
| -------------- | ---------------------- | --------- |
| `company_name` | Employer company       | String    |
| `image`        | Company logo           | String    |
| `country`      | Job location (country) | String    |
| `city`         | Job location (city)    | String    |

**See a snippet of the dataset for reference:**

{% code title="Employer information" %}

```json
"company_name": "Example Company",
"image": "https://media.glassdoor.com/banner/example-company.png",
"country": "United States",
"city": "Wilmington, DE",
```

{% endcode %}

## Job posting information

| Data field    | Description                                                                     | Data type |
| ------------- | ------------------------------------------------------------------------------- | --------- |
| `title`       | Job posting title                                                               | String    |
| `url`         | Job posting URL                                                                 | String    |
| `description` | <p>Job description</p><p><strong>Note:</strong> Contains control characters</p> | String    |
| `website`     | Employer's official website                                                     | String    |

{% code title="Job posting information " %}

```json
"title": "Client Manager",
"url": "https://www.glassdoor.com/partner/example-company/client-manager",
"description": "Example Company is looking for a Client Manager. Here is a job description",
"website": "www.example-company.com/careers",
```

{% endcode %}

### Offered salary

| Data field             | Description                                                                        | Data type |
| ---------------------- | ---------------------------------------------------------------------------------- | --------- |
| `salary`               | Job salary details                                                                 | Struct    |
| `min`                  | Lower end of the salary                                                            | Integer   |
| `max`                  | Upper end of the salary                                                            | Integer   |
| `currency`             | Salary currency                                                                    | String    |
| `pay_period`           | Salary estimate pay period                                                         | String    |
| `salary_estimate_type` | <p>Employer's official salary estimate type<br>(Glassdoor est., Employer est,)</p> | String    |

**See a snippet of the dataset for reference:**

{% code title="Salary" %}

```json
"salary": {
    "min": 70000,
    "max": 90000,
    "currency": "USD",
    "pay_period": "YEAR"
  },
"salary_estimate_type": "Employer est."
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.coresignal.com/additional-sources/glassdoor/glassdoor-jobs/data-dictionary.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
